Index: funcs/func_logic.c
===================================================================
RCS file: /usr/cvsroot/asterisk/funcs/func_logic.c,v
retrieving revision 1.3
diff -u -u -r1.3 func_logic.c
--- funcs/func_logic.c	17 May 2005 16:45:42 -0000	1.3
+++ funcs/func_logic.c	19 May 2005 20:04:07 -0000
@@ -21,6 +21,7 @@
 #include "asterisk/app.h"
 #include "asterisk/config.h"		/* for ast_true */
 
+
 static char *builtin_function_isnull(struct ast_channel *chan, char *cmd, char *data, char *buf, size_t len) 
 {
 	char *ret_true = "1", *ret_false = "0";
@@ -42,6 +43,7 @@
 	char *expr = NULL;
 	char *iftrue = NULL;
 	char *iffalse = NULL;
+	char *tbuf = NULL;
 
 	if((mydata = ast_strdupa(data))) {
 		expr = mydata;
@@ -55,6 +57,12 @@
 		} 
 
 		if (expr && iftrue) {
+			expr = ast_strip_quoted(expr, '"', '"');
+			iftrue = ast_strip_quoted(iftrue, '"', '"');
+
+			if (iffalse) {
+				iffalse = ast_strip_quoted(iffalse, '"', '"');
+			}
 			ret = ast_true(expr) ? iftrue : iffalse;
 			if (ret) {
 				ast_copy_string(buf, ret, len);
Index: utils.c
===================================================================
RCS file: /usr/cvsroot/asterisk/utils.c,v
retrieving revision 1.44
diff -u -u -r1.44 utils.c
--- utils.c	15 May 2005 22:33:01 -0000	1.44
+++ utils.c	19 May 2005 20:04:07 -0000
@@ -33,18 +33,33 @@
 static char base64[64];
 static char b2a[256];
 
-char *ast_strip(char *buf)
+
+char *ast_strip(char *s)
 {
-	char *start;
-	/* Strip off trailing whitespace, returns, etc */
-	while (!ast_strlen_zero(buf) && (buf[strlen(buf)-1]<33))
-		buf[strlen(buf)-1] = '\0';
-	start = buf;
-	/* Strip off leading whitespace, returns, etc */
-	while (*start && (*start < 33))
-		*start++ = '\0';
-	return start;
+	char *e;
+
+	e = s + strlen(s) - 1;
+	while(*s && *s < 33) s++;
+	while(e > s && (*e < 33)) *(e--) = '\0';
+	return s;
+} 
+
+
+char *ast_strip_quoted(char *s, char x, char y)
+{
+	char *e;
+
+	s = ast_strip(s);
+	if (*s == x) {
+		s++;
+	}
+	e = s + strlen(s) - 1;
+	if (*e == y) {
+		*e = '\0';
+	}
+	return s;
 }
+
 
 #if defined(__FreeBSD__) || defined(__OpenBSD__) || defined( __NetBSD__ ) || defined(__APPLE__)
 
Index: include/asterisk/utils.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/utils.h,v
retrieving revision 1.30
diff -u -u -r1.30 utils.h
--- include/asterisk/utils.h	15 May 2005 22:33:02 -0000	1.30
+++ include/asterisk/utils.h	19 May 2005 20:04:07 -0000
@@ -131,6 +131,8 @@
 };
 
 extern char *ast_strip(char *buf);
+extern char *ast_strip_quoted(char *s, char x, char y);
+
 extern struct hostent *ast_gethostbyname(const char *host, struct ast_hostent *hp);
 /* ast_md5_hash: Produces MD5 hash based on input string */
 extern void ast_md5_hash(char *output, char *input);
